## ros-noetic-grasping-msgs 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(grasping_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    geometry_msgs
    message_generation
    moveit_msgs
    sensor_msgs
    shape_msgs
)

link_directories(${catkin_LIBRARY_DIRS}})

add_action_files(
  FILES
    FindGraspableObjects.action
    GraspPlanning.action
)

add_message_files(
  FILES
    GraspableObject.msg
    Object.msg
    ObjectProperty.msg
)

generate_messages(DEPENDENCIES geometry_msgs moveit_msgs sensor_msgs shape_msgs)

catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    moveit_msgs
    sensor_msgs
    shape_msgs
)

=== debian/changelog ===
ros-noetic-grasping-msgs (0.3.1-1buster) buster; urgency=high

  * update email
  * update description in package.xml
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 02 Nov 2014 04:00:00 -0000

ros-noetic-grasping-msgs (0.3.0-1buster) buster; urgency=high

  * prepare public release
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 07 Jun 2014 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-grasping-msgs
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-moveit-msgs, ros-noetic-sensor-msgs, ros-noetic-shape-msgs
Homepage: http://ros.org/wiki/grasping_msgs
Standards-Version: 3.9.2

Package: ros-noetic-grasping-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-moveit-msgs, ros-noetic-sensor-msgs, ros-noetic-shape-msgs
Description: Messages for describing objects and how to grasp them.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-grasping-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
